# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Image/Empty.pm) perl(Moose.pm) perl(Test/More.pm) perl(base.pm) perl(Catalyst/View.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name Catalyst-View-Image-Empty
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: View to return a 1x1 empty GIF or PNG, for building tracking URLs.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CA/CAGAO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Catalyst::View::Image::Empty is a view that returns a 1x1 empty GIF or PNG, for building tracking URLs..
GIF is default.
 
You can switch to PNG by specifying the `format' in the config.

 package MyApp::View::Image::Empty;
 
 use strict;
 use warnings;
 
 use base 'Catalyst::View::Image::Empty';
 
 __PACKAGE__->config(
         format => 'png',
 );

`filename' is another config option you can change, the default filename you would see if you "Save Page As..." in a browser.


%prep
%setup -n %module_name

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

